Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.vfs
Class NullPath

    java.lang.Object
      |
      +--com.caucho.vfs.Path
            |
            +--com.caucho.vfs.NullPath

public class NullPath
extends Path

Fields inherited from class com.caucho.vfs.Path
`L, schemeMap`

Constructor Summary
`NullPath(java.lang.String url)`

Method Summary
`java.lang.String` | `getPath()` Returns the path.
`java.lang.String` | `getScheme()` Returns the url scheme
`java.lang.String` | `getURL()` Returns the full url for the given path.
`Path` | `lookup(java.lang.String userPath, java.util.Map newAttributes)` Returns a new path relative to the current one.
`Path` | `schemeWalk(java.lang.String userPath, java.util.Map attributes, java.lang.String path, int offset)` Path-specific lookup.

Methods inherited from class com.caucho.vfs.Path
`bind, canRead, canWrite, createNewFile, createRoot, createRoot, createTempFile, equals, exists, getAttribute, getAttributeNames, getContentType, getFullPath, getHost, getLastModified, getLength, getNativePath, getObject, getParent, getPort, getQuery, getResources, getResources, getTail, getUserPath, getValue, isDirectory, isFile, isObject, iterator, list, lookup, lookupNative, lookupNative, mkdir, mkdirs, openAppend, openAppendImpl, openRead, openReadImpl, openReadWrite, openReadWrite, openReadWriteImpl, openWrite, openWriteImpl, remove, removeAttribute, renameTo, renameTo, scanScheme, setAttribute, setLastModified, setObject, setUserPath, setValue, toString, unbind, writeToStream`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NullPath

    public NullPath(java.lang.String url)

Method Detail

### schemeWalk

    public Path schemeWalk(java.lang.String userPath,
                           java.util.Map attributes,
                           java.lang.String path,
                           int offset)

  Description copied from class: `Path`
  Path-specific lookup. Path implementations will override this.
  Overrides:
    `schemeWalk` in class `Path`
  Following copied from class: `com.caucho.vfs.Path`
  Parameters:
    `userPath` - the user's lookup() path.
    `newAttributes` - the attributes for the new path.
    `newPath` - the lookup() path
    `offset` - offset into newPath to start lookup.
  Returns:
    the found path

### getURL

    public java.lang.String getURL()

  Description copied from class: `Path`
  Returns the full url for the given path.
  Overrides:
    `getURL` in class `Path`

### getScheme

    public java.lang.String getScheme()

  Description copied from class: `Path`
  Returns the url scheme
  Overrides:
    `getScheme` in class `Path`

### getPath

    public java.lang.String getPath()

  Description copied from class: `Path`
  Returns the path. e.g. for HTTP, returns the part after the host and port.
  Overrides:
    `getPath` in class `Path`

### lookup

    public Path lookup(java.lang.String userPath,
                       java.util.Map newAttributes)

  Description copied from class: `Path`
  Returns a new path relative to the current one.

  Path only handles scheme:xxx. Subclasses of Path will specialize the xxx.

  Overrides:
    `lookup` in class `Path`
  Following copied from class: `com.caucho.vfs.Path`
  Parameters:
    `userPath` - relative or absolute path, essentially any url.
    `newAttributes` - attributes for the new path.
  Returns:
    the new path or null if the scheme doesn't exist

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD